local KC_Trashman = LibStub('AceAddon-3.0'):NewAddon('KC_Trashman', 'AceEvent-3.0', 'AceConsole-3.0')
local L = LibStub('AceLocale-3.0'):GetLocale('KC_Trashman')

function KC_Trashman:OnEnable()
    self:RegisterEvent('MERCHANT_SHOW') 
end

function KC_Trashman:MERCHANT_SHOW()
    local bag, slot
    local number_sold, value_sold = 0, 0
    
    for bag = 0, 4 do
        for slot = 1, GetContainerNumSlots(bag) do
            -- can't rely on the quality returned from this API
            local texture, count, locked, quality, readable, lootable, link = GetContainerItemInfo(bag, slot)
   		    
   		    if link then
                local _, _, quality, _, _, _, _, _, _, _, vendor_price = GetItemInfo(link)                
   		   
       		    if quality == 0 and vendor_price > 0 then
                    ShowContainerSellCursor(bag, slot)
                    UseContainerItem(bag, slot)
                    
       		        local vendor_price = select(11, GetItemInfo(link))
                    number_sold = number_sold + count
                    value_sold = value_sold + vendor_price * count               
                end
            end
        end
    end
    
    if number_sold > 0 then
        self:Printf(L['Sold %d items for a total value of %s.'], number_sold, GetMoneyString(value_sold))
    end
end
